From 6e0a65457d754d3358f48d8889359a7ad7148d0a Mon Sep 17 00:00:00 2001
From: basos G <noxelia 4t gmail , com>
Date: Fri, 17 Apr 2009 17:37:03 +0300
Subject: [PATCH] FIX mingw runtime 3.15 is the minimun

An issue regrading %zu vasprintf NOT being recognized
by mingw runtime's 3.14 is fixed with an upgrade to 3.15
So make this the least required standart.
Note that this issue lead to a vlc early crash on windows
and is generally toxic on cases where %s is following a
misinterpreted %zu
---
 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/configure.ac b/configure.ac
index 4c10437..28d1046 100644
--- a/configure.ac
+++ b/configure.ac
@@ -475,14 +475,14 @@ AS_IF([test "${SYS}" = "mingw32"], [
     AC_MSG_CHECKING(for broken mingw-runtime)
     AC_PREPROC_IFELSE([
 #include <_mingw.h>
-#if (__MINGW32_MAJOR_VERSION == 3) && (__MINGW32_MINOR_VERSION < 14)
+#if (__MINGW32_MAJOR_VERSION == 3) && (__MINGW32_MINOR_VERSION < 15)
 # error Attempting to use mingw-runtime with broken vsnprintf support
 #endif
 ], [
         AC_MSG_RESULT([ok])
 ], [
         AC_MSG_RESULT([present])
-        AC_MSG_ERROR([LibVLC requires mingw-runtime version 3.14 or higher!])
+        AC_MSG_ERROR([LibVLC requires mingw-runtime version 3.15 or higher!])
 ])
     dnl force use of mingw provided c99 *printf over msvcrt
     CPPFLAGS="${CPPFLAGS} -D__USE_MINGW_ANSI_STDIO=1"
-- 
1.5.4.3

